package com.ruoyi.oa.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc耗材发放对象 cmc_material_give
 * 
 * @author cmc
 * @date 2024-07-31
 */
public class CmcMaterialGive extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 耗材发放id */
    private Integer giveId;

    /** 耗材id */
    @Excel(name = "耗材id")
    private Integer materialId;

    /** 发放时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发放时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date giveTime;

    /** 领用人 */
    @Excel(name = "领用人")
    private Long accpter;

    /** 领用部门 */
    @Excel(name = "领用部门")
    private Long useDept;

    /** 领用数量 */
    @Excel(name = "领用数量")
    private Double giveNum;

    public void setGiveId(Integer giveId) 
    {
        this.giveId = giveId;
    }

    public Integer getGiveId() 
    {
        return giveId;
    }
    public void setMaterialId(Integer materialId) 
    {
        this.materialId = materialId;
    }

    public Integer getMaterialId() 
    {
        return materialId;
    }
    public void setGiveTime(Date giveTime) 
    {
        this.giveTime = giveTime;
    }

    public Date getGiveTime() 
    {
        return giveTime;
    }
    public void setAccpter(Long accpter) 
    {
        this.accpter = accpter;
    }

    public Long getAccpter() 
    {
        return accpter;
    }
    public void setUseDept(Long useDept) 
    {
        this.useDept = useDept;
    }

    public Long getUseDept() 
    {
        return useDept;
    }
    public void setGiveNum(Double giveNum) 
    {
        this.giveNum = giveNum;
    }

    public Double getGiveNum() 
    {
        return giveNum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("giveId", getGiveId())
            .append("materialId", getMaterialId())
            .append("giveTime", getGiveTime())
            .append("accpter", getAccpter())
            .append("useDept", getUseDept())
            .append("giveNum", getGiveNum())
            .append("remark", getRemark())
            .toString();
    }
}
